import {Component, ElementRef, OnInit, ViewChild} from "@angular/core";

import "dhtmlx-gantt";

@Component({
    selector: "gantt",
    styles: [
        `
        :host{
            display: block;
            height: 600px;
            position: relative;
            width: 100%;
        }
    `],
    template: "<div #gantt_here style='width: 100%; height: 100%;'></div>",
})
export class GanttComponent implements OnInit {
    @ViewChild("gantt_here", {static: true}) ganttContainer: ElementRef;

    ngOnInit(){
        gantt.init(this.ganttContainer.nativeElement);

        gantt.parse({
            "data":[
                {"id":"10", "text":"Project #1", "start_date":"01-04-2025", "duration":3, "order":10,"progress":0.4, "open": true},
                {"id":"1", "text":"Task #1",    "start_date":"02-04-2025", "duration":2,  "order":10,"progress":0.6, "parent":"10"},
                {"id":"2", "text":"Task #2",    "start_date":"01-04-2025", "duration":2,  "order":20,"progress":0.6, "parent":"10"},
                {"id":"20", "text":"Project #2", "start_date":"01-04-2025", "duration":3, "order":10,"progress":0.4, "type": "project", "open": true},
                {"id":"3", "text":"Task #3",    "start_date":"02-04-2025", "duration":2,  "order":10,"progress":0.6, "parent":"20"},
                {"id":"4", "text":"Task #4",    "start_date":"01-04-2025", "duration":2,  "order":20,"progress":0.6, "parent":"20"}
            ],
            "links":[
                { "id":1, "source":1, "target":2, "type":"0"},
                { "id":2, "source":2, "target":3, "type":"0"},
                { "id":3, "source":3, "target":4, "type":"0"},
                { "id":4, "source":2, "target":5, "type":"0"}
            ]
        })
	

    }
}